Bug 1156298 - Remove files in package libguestfs-bash-completion, these files are bash completion files, some of the virt tool completion are already implement in another file, so can remove its completion file
Summary: Remove files in package libguestfs-bash-completion, these files are bash comp...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libguestfs
Version: 7.1
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Richard W.M. Jones
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 1218766
Blocks: 1288337 1301891
TreeView+ depends on / blocked
 
Reported: 2014-10-24 06:42 UTC by Lingfei Kong
Modified: 2016-11-03 17:47 UTC (History)
6 users (show)

Fixed In Version: libguestfs-1.31.7-2.el7.x86_64
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 17:47:05 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2576 normal SHIPPED_LIVE Moderate: libguestfs and virt-p2v security, bug fix, and enhancement update 2016-11-03 12:06:51 UTC

Description Lingfei Kong 2014-10-24 06:42:40 UTC
Description of problem:
Remove files in package libguestfs-bash-completion, these files are bash completion files, some of the virt tool completion are already implement in another file, so can remove its completion file.

#rpm -ql libguestfs-bash-completion-1.28.1-1.3.el7.noarch
/usr/share/bash-completion/completions
/usr/share/bash-completion/completions/guestfish
/usr/share/bash-completion/completions/guestmount
/usr/share/bash-completion/completions/virt-alignment-scan
/usr/share/bash-completion/completions/virt-builder
/usr/share/bash-completion/completions/virt-cat
/usr/share/bash-completion/completions/virt-df
/usr/share/bash-completion/completions/virt-edit
/usr/share/bash-completion/completions/virt-filesystems
/usr/share/bash-completion/completions/virt-format
/usr/share/bash-completion/completions/virt-inspector
/usr/share/bash-completion/completions/virt-log
/usr/share/bash-completion/completions/virt-ls
/usr/share/bash-completion/completions/virt-rescue
/usr/share/bash-completion/completions/virt-resize
/usr/share/bash-completion/completions/virt-sparsify
/usr/share/bash-completion/completions/virt-sysprep

#wc -l virt-*
  114 virt-alignment-scan
   53 virt-builder
  114 virt-cat
  114 virt-df
  114 virt-edit
  114 virt-filesystems
  114 virt-format
  114 virt-inspector
  114 virt-log
  114 virt-ls
   67 virt-rescue
   53 virt-resize
   53 virt-sparsify
  114 virt-sysprep
 1419 total

I have checked that virt-alignment-scan, virt-cat, virt-df, virt-edit, virt-filesystems, virt-format, virt-inspector, virt-log, virt-ls, virt-sysprep have the same content and virt-builder, virt-resize, virt-sparsify have the same content. It is strange to keep many files with the same content in the same package, so it is better to remove some of them and only keep one for each to keep a good code. Maybe it is not easy to remove them, but there also have a possibility to remove them in the future. Just file this bug for the remind purpose.


Version-Release number of selected component (if applicable):
libguestfs-bash-completion-1.28.1-1.3.el7.noarch


How reproducible:
100%


Steps to Reproduce:
1. Install libguestfs-bash-completion
2. #rpm -ql libguestfs-bash-completion
3. # diff


Actual results:


Expected results:


Additional info:

Comment 1 Richard W.M. Jones 2014-10-24 07:58:48 UTC
The issue is these are supposed to be symbolic links, not
regular files (not that it makes much difference, but I guess
it saves a tiny amount of space).

In the source:

$ ll
total 140
-rw-rw-r--. 1 rjones rjones  2192 Aug  7 16:16 guestfish
-rw-rw-r--. 1 rjones rjones  1973 Aug  7 16:16 guestmount
-rw-rw-r--. 1 rjones rjones 51641 Oct 23 16:10 Makefile
-rw-rw-r--. 1 rjones rjones  1734 Sep  1 22:17 Makefile.am
-rw-rw-r--. 1 rjones rjones 60381 Oct 23 16:09 Makefile.in
-rw-rw-r--. 1 rjones rjones   152 Aug  7 16:16 README
-rw-rw-r--. 1 rjones rjones  2902 Oct 15 15:40 virt-alignment-scan
lrwxrwxrwx. 1 rjones rjones    11 Mar 23  2014 virt-builder -> virt-resize
lrwxrwxrwx. 1 rjones rjones    19 Mar 23  2014 virt-cat -> virt-alignment-scan
lrwxrwxrwx. 1 rjones rjones    19 Mar 23  2014 virt-df -> virt-alignment-scan
lrwxrwxrwx. 1 rjones rjones    19 Mar 23  2014 virt-edit -> virt-alignment-scan
lrwxrwxrwx. 1 rjones rjones    19 Mar 23  2014 virt-filesystems -> virt-alignment-scan
lrwxrwxrwx. 1 rjones rjones    19 Mar 23  2014 virt-format -> virt-alignment-scan
lrwxrwxrwx. 1 rjones rjones    19 Mar 23  2014 virt-inspector -> virt-alignment-scan
lrwxrwxrwx. 1 rjones rjones    19 Jun 14 11:02 virt-log -> virt-alignment-scan
lrwxrwxrwx. 1 rjones rjones    19 Mar 23  2014 virt-ls -> virt-alignment-scan
-rw-rw-r--. 1 rjones rjones  1978 Aug  7 16:16 virt-rescue
-rw-rw-r--. 1 rjones rjones  1589 Aug  7 16:16 virt-resize
lrwxrwxrwx. 1 rjones rjones    11 Mar 23  2014 virt-sparsify -> virt-resize
lrwxrwxrwx. 1 rjones rjones    19 Mar 23  2014 virt-sysprep -> virt-alignment-scan

The symbolic links have to be there because of new bash-completion
demand loading, see:

https://lists.fedoraproject.org/pipermail/devel/2013-March/thread.html#180508

(I can't find any better documentation about it now)

Comment 2 Richard W.M. Jones 2014-10-24 08:15:12 UTC
Patches posted:
https://www.redhat.com/archives/libguestfs/2014-October/msg00194.html

Comment 4 Richard W.M. Jones 2014-10-24 19:58:45 UTC
So that didn't in fact use symlinks, but for reasons I understand
(the tarball has to be rebuilt).

Moving to 7.2 as this is purely cosmetic.

Comment 8 Richard W.M. Jones 2015-09-23 15:20:15 UTC
Seems to be fixed now:

libguestfs-bash-completion-1.31.7-2.el7.noarch

$ for f in `rpm -ql libguestfs-bash-completion`; do if [ ! -d $f ]; then ls -l $f; fi; done
-rw-r--r--. 1 root root 2451 Sep 22 05:18 /usr/share/bash-completion/completions/guestfish
-rw-r--r--. 1 root root 2234 Sep 22 05:18 /usr/share/bash-completion/completions/guestmount
-rw-r--r--. 1 root root 3018 Sep 22 05:18 /usr/share/bash-completion/completions/virt-alignment-scan
lrwxrwxrwx. 1 root root 11 Sep 22 05:57 /usr/share/bash-completion/completions/virt-builder -> virt-resize
lrwxrwxrwx. 1 root root 19 Sep 22 05:57 /usr/share/bash-completion/completions/virt-cat -> virt-alignment-scan
lrwxrwxrwx. 1 root root 19 Sep 22 05:57 /usr/share/bash-completion/completions/virt-df -> virt-alignment-scan
lrwxrwxrwx. 1 root root 19 Sep 22 05:57 /usr/share/bash-completion/completions/virt-edit -> virt-alignment-scan
lrwxrwxrwx. 1 root root 19 Sep 22 05:57 /usr/share/bash-completion/completions/virt-filesystems -> virt-alignment-scan
lrwxrwxrwx. 1 root root 19 Sep 22 05:57 /usr/share/bash-completion/completions/virt-format -> virt-alignment-scan
lrwxrwxrwx. 1 root root 19 Sep 22 05:57 /usr/share/bash-completion/completions/virt-inspector -> virt-alignment-scan
lrwxrwxrwx. 1 root root 19 Sep 22 05:57 /usr/share/bash-completion/completions/virt-log -> virt-alignment-scan
lrwxrwxrwx. 1 root root 19 Sep 22 05:57 /usr/share/bash-completion/completions/virt-ls -> virt-alignment-scan
-rw-r--r--. 1 root root 2241 Sep 22 05:18 /usr/share/bash-completion/completions/virt-rescue
-rw-r--r--. 1 root root 2363 Sep 22 05:18 /usr/share/bash-completion/completions/virt-resize
lrwxrwxrwx. 1 root root 11 Sep 22 05:57 /usr/share/bash-completion/completions/virt-sparsify -> virt-resize
lrwxrwxrwx. 1 root root 19 Sep 22 05:57 /usr/share/bash-completion/completions/virt-sysprep -> virt-alignment-scan
-rw-r--r--. 1 root root 2089 Sep 22 05:18 /usr/share/bash-completion/completions/virt-v2v

Comment 10 Xianghua Chen 2016-06-28 06:52:24 UTC
Verified with the packages:
libguestfs-1.32.5-6.el7.x86_64
libguestfs-bash-completion-1.32.5-6.el7.noarch

Verify steps:
# for f in `rpm -ql libguestfs-bash-completion`; do if [ ! -d $f ]; then ls -l $f; fi; done
-rw-r--r--. 1 root root 2451 Jun 24 01:30 /usr/share/bash-completion/completions/guestfish
-rw-r--r--. 1 root root 2234 Jun 24 01:30 /usr/share/bash-completion/completions/guestmount
-rw-r--r--. 1 root root 3018 Jun 24 01:30 /usr/share/bash-completion/completions/virt-alignment-scan
lrwxrwxrwx. 1 root root 11 Jun 24 18:31 /usr/share/bash-completion/completions/virt-builder -> virt-resize
lrwxrwxrwx. 1 root root 19 Jun 24 18:31 /usr/share/bash-completion/completions/virt-cat -> virt-alignment-scan
lrwxrwxrwx. 1 root root 19 Jun 24 18:31 /usr/share/bash-completion/completions/virt-df -> virt-alignment-scan
lrwxrwxrwx. 1 root root 19 Jun 24 18:31 /usr/share/bash-completion/completions/virt-edit -> virt-alignment-scan
lrwxrwxrwx. 1 root root 19 Jun 24 18:31 /usr/share/bash-completion/completions/virt-filesystems -> virt-alignment-scan
lrwxrwxrwx. 1 root root 19 Jun 24 18:31 /usr/share/bash-completion/completions/virt-format -> virt-alignment-scan
lrwxrwxrwx. 1 root root 19 Jun 24 18:31 /usr/share/bash-completion/completions/virt-inspector -> virt-alignment-scan
lrwxrwxrwx. 1 root root 19 Jun 24 18:31 /usr/share/bash-completion/completions/virt-log -> virt-alignment-scan
lrwxrwxrwx. 1 root root 19 Jun 24 18:31 /usr/share/bash-completion/completions/virt-ls -> virt-alignment-scan
-rw-r--r--. 1 root root 2241 Jun 24 01:30 /usr/share/bash-completion/completions/virt-rescue
-rw-r--r--. 1 root root 2487 Jun 24 01:30 /usr/share/bash-completion/completions/virt-resize
lrwxrwxrwx. 1 root root 11 Jun 24 18:31 /usr/share/bash-completion/completions/virt-sparsify -> virt-resize
lrwxrwxrwx. 1 root root 19 Jun 24 18:31 /usr/share/bash-completion/completions/virt-sysprep -> virt-alignment-scan
-rw-r--r--. 1 root root 2089 Jun 24 01:30 /usr/share/bash-completion/completions/virt-v2v


Seems fine now, all keep one file.

So verified.

Comment 12 errata-xmlrpc 2016-11-03 17:47:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2576.html


Note You need to log in before you can comment on or make changes to this bug.